How can I install backgroundrb

I followed the install instruction to install backgroundrb from
http://backgroundrb.rubyforge.org/. But when running "git clone
git://github.com/gnufied/backgroundrb.git" command, I got the error of
no such command git.

Is Git installed?

John Yerhot wrote:

Is Git installed?

yes, I have installed git:

gem list -d git

*** LOCAL GEMS ***

git (1.0.5)
    Author: Scott Chacon
    Installed at: d:/ruby/lib/ruby/gems/1.8

    A package for using Git in Ruby code.

Zhao Yi wrote:

John Yerhot wrote:

Is Git installed?

yes, I have installed git:

gem list -d git

*** LOCAL GEMS ***

git (1.0.5)
    Author: Scott Chacon
    Installed at: d:/ruby/lib/ruby/gems/1.8

    A package for using Git in Ruby code.

That would appear to be the ruby interface to git. You need to have the compiled git application installed as well. I'm not sure about where to get git for windows, but i'm sure google will know.

Matt

Zhao Yi wrote:

Matt Harrison wrote:

Zhao Yi wrote:

    Author: Scott Chacon
    Installed at: d:/ruby/lib/ruby/gems/1.8

    A package for using Git in Ruby code.

That would appear to be the ruby interface to git. You need to have the
compiled git application installed as well. I'm not sure about where to
get git for windows, but i'm sure google will know.

Matt

Can I use vnc instead? I have checked out the code of backgroundrb by vnc. How can I install it?

Do you mean svn? As far as I know, vnc is a remote desktop control tool, not a source control tool.

If you used svn to checkout backgroundrb, then just follow the instructions starting from "Configuration":

http://backgroundrb.rubyforge.org/

HTH

Matt

yes I mean svn. thanks I installed it successfully.